Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.openmbean
Interface CompositeData

All Known Implementing Classes:
  CompositeDataSupport

public interface CompositeData

Author:
  Young Yang

Method Summary
`boolean` | `containsKey(java.lang.String key)` Returns `true` if and only if this `CompositeData` instance contains an item whose name is `key`.
`boolean` | `containsValue(java.lang.Object value)` Returns `true` if and only if this `CompositeData` instance contains an item whose value is `value`.
`boolean` | `equals(java.lang.Object obj)` Compares the specified obj parameter with this `CompositeData` instance for equality.
`java.lang.Object` | `get(java.lang.String key)` Returns the value of the item whose name is `key`.
`java.lang.Object[]` | `getAll(java.lang.String[] keys)` Returns an array of the values of the items whose names are specified by `keys`, in the same order as `keys`.
`CompositeType` | `getCompositeType()` Returns the composite type of this composite data instance.
`int` | `hashCode()` Returns the hash code value for this `CompositeData` instance.
`java.lang.String` | `toString()` Returns a string representation of this `CompositeData` instance.
`java.util.Collection` | `values()` Returns an unmodifiable Collection view of the item values contained in this `CompositeData` instance.

Method Detail

### getCompositeType

    public CompositeType getCompositeType()

  Returns the composite type of this composite data instance.
  Returns:
    the type of this CompositeData.

### get

    public java.lang.Object get(java.lang.String key)

  Returns the value of the item whose name is `key`.
  Parameters:
    `key` - the name of the item.
  Returns:
    the value associated with this key.
  Throws:
    `java.lang.IllegalArgumentException` - if `key` is a null or empty String.
    `InvalidKeyException` - if `key` is not an existing item name for this `CompositeData` instance.

### getAll

    public java.lang.Object[] getAll(java.lang.String[] keys)

  Returns an array of the values of the items whose names are specified by `keys`, in the same order as `keys`.
  Parameters:
    `keys` - the names of the items.
  Returns:
    the values corresponding to the keys.
  Throws:
    `java.lang.IllegalArgumentException` - if an element in `keys` is a null or empty String.
    `InvalidKeyException` - if an element in `keys` is not an existing item name for this `CompositeData` instance.

### containsKey

    public boolean containsKey(java.lang.String key)

  Returns `true` if and only if this `CompositeData` instance contains an item whose name is `key`. If `key` is a null or empty String, this method simply returns false.
  Parameters:
    `key` - the key to be tested.
  Returns:
    true if this `CompositeData` contains the key.

### containsValue

    public boolean containsValue(java.lang.Object value)

  Returns `true` if and only if this `CompositeData` instance contains an item whose value is `value`.
  Parameters:
    `value` - the value to be tested.
  Returns:
    true if this `CompositeData` contains the value.

### values

    public java.util.Collection values()

  Returns an unmodifiable Collection view of the item values contained in this `CompositeData` instance. The returned collection's iterator will return the values in the ascending lexicographic order of the corresponding item names.
  Returns:
    the values.

### equals

    public boolean equals(java.lang.Object obj)

  Compares the specified obj parameter with this `CompositeData` instance for equality.

  Returns `true` if and only if all of the following statements are true:

  - obj is non null,
  - obj also implements the `CompositeData` interface,
  - their composite types are equal
  - their contents (ie item values) are equal.
  This ensures that this `equals` method works properly for obj parameters which are different implementations of the `CompositeData` interface.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object to be compared for equality with this `CompositeData` instance;
  Returns:
    `true` if the specified object is equal to this `CompositeData` instance.

### hashCode

    public int hashCode()

  Returns the hash code value for this `CompositeData` instance.

  The hash code of a `CompositeData` instance is the sum of the hash codes of all elements of information used in `equals` comparisons (ie: its composite type and all the item values).

  This ensures that `t1.equals(t2)` implies that `t1.hashCode()==t2.hashCode()` for any two `CompositeData` instances `t1` and `t2`, as required by the general contract of the method `Object.hashCode` .

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    the hash code value for this `CompositeData` instance

### toString

    public java.lang.String toString()

  Returns a string representation of this `CompositeData` instance.

  The string representation consists of the name of the implementing class, the string representation of the composite type of this instance, and the string representation of the contents (ie list the itemName=itemValue mappings).

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this `CompositeData` instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD